EspressChart
v 5.5

quadbase.common.param
Class FormulaParam

java.lang.Object
  |
  +--quadbase.common.param.AbstractParam
        |
        +--quadbase.common.param.FormulaParam
All Implemented Interfaces:
Param

public class FormulaParam
extends AbstractParam


Fields inherited from class quadbase.common.param.AbstractParam
parameter, parent
 
Fields inherited from interface quadbase.common.param.Param
ROOT_REPORT
 
Constructor Summary
FormulaParam(java.lang.String parent, quadbase.reportdesigner.report.Parameter parameter)
           
 
Method Summary
 java.lang.String formatDefaultValue()
           
 int getMapColIdx()
           
 java.util.Vector getSelectionChoices()
          Gets a Vector of objects of the corresponding SQL type that are unique values of this parameter retrieved from the database.
 boolean isFormulaParam()
          Whether this is a formula parameter (not query parameter)
 java.lang.Object makeDefaultValueFromText(java.lang.String text)
           
 
Methods inherited from class quadbase.common.param.AbstractParam
getColumnName, getDateFormat, getDefaultValue, getDefaultValueVariable, getParameter, getPromptName, getQueryFileInfo, getReferenceDegree, getReport, getSharedParamName, getSharedReportName, getSqlSelect, getSqlType, getTableName, getValue, getValues, getValueVariable, isCustomDateFormat, isMapToColumn, isShared, multiValue, name, parent, setColumnName, setDefaultValue, setDefaultValueVariable, setMapToColumn, setPromptName, setQueryFileInfo, setReport, setSqlSelect, setSqlType, setTableName, setValue, setValues, setValueVariable
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

FormulaParam

public FormulaParam(java.lang.String parent,
                    quadbase.reportdesigner.report.Parameter parameter)
Method Detail

isFormulaParam

public boolean isFormulaParam()
Description copied from interface: Param
Whether this is a formula parameter (not query parameter)

formatDefaultValue

public java.lang.String formatDefaultValue()

makeDefaultValueFromText

public java.lang.Object makeDefaultValueFromText(java.lang.String text)

getMapColIdx

public int getMapColIdx()

getSelectionChoices

public java.util.Vector getSelectionChoices()
Description copied from interface: Param
Gets a Vector of objects of the corresponding SQL type that are unique values of this parameter retrieved from the database.
Overrides:
getSelectionChoices in class AbstractParam
Following copied from interface: quadbase.common.param.Param
Returns:
null if a selection is not available

EspressChart
v 5.5